# $Revision: 1.7 $, $Date: 2008/12/14 11:14:03 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Tester
Summary:	Test::Tester - Ease testing test modules built with Test::Builder
Summary(pl.UTF-8):	Test::Tester - ułatwianie testowania modułów testowych z Test::Buildera
Name:		perl-Test-Tester
Version:	0.107
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	998a8abe241992faaa3e90f330800840
URL:		http://search.cpan.org/dist/Test-Tester/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have written a test module based on Test::Builder then
Test::Tester allows you to test it with the minimum of effort.

%description -l pl.UTF-8
Jeśli moduł testowy jest oparty na klasie Test::Builder, to
Test::Tester umożliwia przetestowanie go minimalnym nakładem pracy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Tester
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Tester.spec,v $
Revision 1.7  2008/12/14 11:14:03  agaran
- up to 0.107

Revision 1.6  2007/12/30 23:23:15  zbyniu
- up to 0.106

Revision 1.5  2007-05-27 00:37:02  agaran
- up to 0.104, rel1, builds here

Revision 1.4  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.2  2005/11/19 14:32:39  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
